#25 Subtitles

v1.0 (example)
closed
subtitles (1)
5
2014-04-28
2014-01-13
Luis Backup
No

Hi, I have problems with subtitles, I'm using version 1.1.0 in an OpenWRT router, I manually modified openwrt to use the new version because the sources use 1.0.25.

Subtitles files are fetched right, because I see in the files.db under the captions table subtitles items. I've tested with little video files, to avoid another problems, but I can´t see or use the subs in player programs, tested VLC in windows, BubbleUPNP in android, stock video player on android sgs3 and so on, even I test using Intel UPNP tools, but no subs.

Testing tvmobily in my windows server the subs are sent to all the programs tested before, and I choose to send the file as subs, not transcoding video.

Can you help me or give me some tips to test to know why I can use subs in my programs or what to modify/reprogram/change to support subs in my player, I can make a patch file for my openwrt compiltation to modify some files if necesary.

Minidlna is the best dlna server for my, is very light and runs very well in my tiny router, I'm using with more than 3000 mp3, 300 videos and 4000 pictures, in a tiny router, using swapping on usb memory because the low memory of the router and everything goes very well, except the subs, sorry for my english, is not my primary language.

Regards
Luis

Discussion

  • TeHashX
    TeHashX
    2014-01-25

    Witch router exactly?

     
    • Luis Backup
      Luis Backup
      2014-03-19

      Is a generic one not a netgear brand. By the way, I'm muxing the subs inside mkv containers so I can use the subs right now, but I don't want to make a mkv of each video file with the subs inside.

       
  • radenkovich
    radenkovich
    2014-03-09

    Guys, I have almost exactly the same setup as Luis except my installation is done on raspberry pi. I could not get subtitles appear on any of clients (vlac on ubuntu, bsplayer and mxplayer on androids). I tried to analyse traffic in wireshark and in HTTP package content I found only infos on video files are sent from minidlna to VLC. My assumption is that sine subtitles are not officialy covered in DLNA, players try their luck by asking blind for SRT file... Then if server support SRT outside DLNA they will reply properly... In case this is true, I'm facing difficulties how to determine what is wrong with my setup? DLNA clients or server...? Please help...

     
  • vargabesz
    vargabesz
    2014-04-25

    Hi, I have the same problem with the BubbleUPNP player. I'm running minidlna 1.1.2 on CentOS 6.5 x64, compiled from source and the external .srt subtitles work great for MKVs on my LG tv, but not on this Android client.

     
  • Cristian
    Cristian
    2014-04-28

    Hi, I have the same problem. Running minidlna 1.0.25 on dd-wrt (tp-link wdr3600). The server works fine but the subtitles.

    I put minidlna in debug mode and saw that it does not sending res tag with subtitles. Example for an item sent in ContentDirectory:

    <item id="64$D" parentID="64" restricted="1"><dc:title>prisioneros</dc:title><upnp:class>object.item.videoItem</upnp:class><dc:date>2014-01-04T16:45:40</dc:date><res size="1035200643" duration="2:33:12.426" bitrate="112614" sampleFrequency="48000" nrAudioChannels="2" resolution="1280x720" protocolInfo="http-get:*:video/mp4:DLNA.ORG_PN=AVC_MP4_HP_HD_AAC;DLNA.ORG_OP=01;DLNA.ORG_
    CI=0;DLNA.ORG_FLAGS=01700000000000000000000000000000">
    http://192.168.1.1:8200/MediaItems/66.mp4</res></item>

    This file, "prisioneros.mp4" has a "prisioneros.srt" on the same folder. I tried with an avi file, and it is the same.
    Why minidlna is not sending the subtitle res?

    Luis: How can I install the last version of minidlna on dd-wrt? As you said, openwrt offers only the 1.0.25 version. Can I install a new one with opkg?

    Thanks!

     
  • Justin Maggard
    Justin Maggard
    2014-04-28

    • status: open --> closed
    • assigned_to: Justin Maggard
     
  • Justin Maggard
    Justin Maggard
    2014-04-28

    Subtitles are not mentioned at all in the DLNA spec. There are three different methods that I know of that have been implemented to send subtitles to clients. One is using Samsung vendor-specific extensions; the second on is a PacketVideo vendor-specific extension; and the third is a separate resource, which was first used by, I believe, LG.

    It looks like BubbleUPnP supports the LG method, so I have just pushed a change to support that on BubbleUPnP.

    I don't want to just blindly add LG-style subtitle resources to the response for generic clients, because it can break compatibility with some clients.